A project's status page settings.
GET
/api/v1/projects/{project}/status-page
const url = 'https://example.com/api/v1/projects/example/status-page';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/projects/example/status-pageParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project
required
string
Project name
Responses
Section titled “Responses”Media typeapplication/json
object
slug
required
string
title
required
string
enabled
required
boolean
environments
required
Array<string>
path
required
Where the page is served: /status/<slug> on the console’s address.
string
updatedBy
required
string
updatedAt
required
string
Examplegenerated
{ "slug": "example", "title": "example", "enabled": true, "environments": [ "example" ], "path": "example", "updatedBy": "example", "updatedAt": "example"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}